En poursuivant votre navigation sur ce site, vous acceptez l'utilisation de cookies pour vous proposer des contenus et services adaptés. Mentions légales.

GuppY, le CMS de référence sans base de données

 
 

telecharger01.png

 
Vous êtes ici :   Accueil » Nouvelles
 
Prévisualiser...  Imprimer...  Imprimer la page...
Prévisualiser...  Imprimer...  Imprimer la section...

Le CMS GuppY

Derniers billets

Calendrier

Nouvelles

GuppY 5.02.02 : 100ème version de GuppY - le 18/12/2017 @ 16:40 par Guppy_Team

GuppY : Pack GuppY 5.02.02, patchs cumulatif et non-cumulatifgylogo.png


 

Ce pack est la 100ème version de GuppY


 

Et cette sortie précède de quelques jours les 15 ans de GuppY, la première version de miniPortail est sortie le 30 décembre 2002 avant de se nommer GuppY le 24 septembre 2003.

Merci à aldweb son créateur, merci à tous les participants à l'aventure GuppY.
 

Pour cette 100ème version, nous avons le plaisir de vous proposer, en plus des ajouts, des améliorations, des corrections, deux nouveautés importantes:

 - l'intégration du plugin jQuery Unite-Gallery y compris la partie administration,
 - l'intégration du plugin jQuery Liquid Slider y compris la partie administration.


Pré-requis : PHP 5.4 minimum

- correction de l'affichage du panneau des commandes en admin
- correction de l'affichage du bas de page en admin
- mise en maintenance du site limitée aux administrateurs
- prise en compte de l'admin secondaire dans les modules
- correction des droits d'accès au panneau d'administration dans Config services
- correction des adresses de menus dynamiques (merci Papinou)
- suppression du cookie GuppYUser5
- prise en compte de caractères spéciaux dans les mots de passe
- amélioration de la protection admin
- amélioration de la suppression totale d'un membre
- correction de l'emplacement du compteur de vues des photoramas (merci Papinou)
- ajout et intégration du diaporama images et vidéos Unite Gallery
- ajout et intégration du diaporama texte LiquidSlider

ATTENTION : AVANT DE PATCHER

Vous devez obligatoirement être inscrit comme membre de votre site et pour l’administrer  vous mettez votre pseudo à Administrateur principal en Admin / Config services.

Comme vous n’aurez plus accès à l’admin en ajoutant admin/admin.php à votre url, nous vous conseillons de déclarer un administrateur secondaire en  Admin / Config services pour vous permettre de vous connecter en Admin si vous avez des problèmes avec votre compte d’Administrateur principal. Le pseudo et le mail doivent être différents du compte Administrateur principal.

Si l’accès à l’admin est protégé par un .htaccess, vous n’aurez qu’à saisir votre login et votre mot de passe pour accéder à l’admin, les deux sont couplés.

Dans la prochaine version, la force du mot de passe sera évaluée au fur et à mesure de la saisie, le nombre de caractères passera à 8 minimum jusqu’à 40 maximum, minuscules, majuscules, chiffres et caractères spéciaux, et un mot de passe ne sera accepté qu'avec un score minimum de 45%, toujours dans le but de renforcer la sécurité des sites.

Vous pouvez en informer les membres de vos sites, ils peuvent modifier leur mot de passe dès l’installation de ce patch.



Deux patchs sont nécessaires pour rester dans la limite des 2Mo imposés par certains hébergeurs :
 

En premier avec la fonction Installer, vous mettez à jour CKEditor avec le patch-CKEditor-v480, disponible dans la rubrique Télécharger puis GuppY.

Ensuite, pour passer de la version 5.02.01 à la version 5.02.02, c'est le patch gy-non-cumulative-50202 que vous devez utiliser, en suivant cette procédure :
    • télécharger le patch et installer en admin avec la fonction Installer de GuppY,
    • valider les pages de configuration habituelles

Après l'installation vous devez aller en admin/config look et procéder dans cet ordre :
    1. compléter la configuration des champs nouveaux dans Config look,
    2. enregistrer la config pour enregistrer vos modifications,
    3. cliquer sur "Générer Style" pour mettre à jour votre skin compatible Config look,  ensuite plusieurs rafraîchissements de l'affichage d'une page peuvent être nécessaires pour avoir un affichage correct.
Comme pour tous les patchs, il est conseillé de revalider toutes les pages de config en admin.


 

Tous nos remerciements à Saxbar pour ces intégrations et modifications, tous nos remerciements aux participants à cette version.

Joyeuses fêtes de fin d’année.

La GuppY Team


Sortie de GuppY 5.02.01 - Mise à jour de sécurité - le 30/08/2017 @ 14:25 par Guppy_Team

logo.png
GuppY : Pack GuppY 5.02.01, patchs cumulatif et non-cumulatif - Mise à jour de sécurité.

 

Ce pack est la 99ème version de GuppY
 

Nous vous proposons le patch 5.02.01 avec des ajouts, des améliorations, des corrections et la correction d'une faille critique.
Merci à jchouix pour la découverte et le signalement de cette faille.


Attention, toutes les versions de GuppY sont concernées, sans exception, par cette faille critique.
Vous devez installer IMPERATIVEMENT et IMMEDIATEMENT ce patch 5.02.01 pour la sécurité de votre site.

 

Pré-requis : PHP 5.4 minimum

- choix des skins CKEditor public
- paramétrage des couleurs et taille des caractères de CKEditor public
- correction de la fonction getNewUpdateDoc()
- ajout de l'autorisation des réactions par article
- correction du contrôle de mot de passe admin
- indépendance de la partie admin
- rationalisation des fichiers de langue
- correction de l'inclusion de la classe phpmailer
- mise à jour de PhpMailer en version 5.2.23
- mise à jour de Mobile_detect en version 2.8.25
- contrôle de l'activation du formulaire Contact
- correction de l'activation du blocage d'une ligne TOP
- amélioration du contrôle de validité des courriels (merci jchouix)
- amélioration du filtrage de CKEditor public
- amélioration du paramétrage des cookies
- correction du lien archives des nouvelles (merci Laroche)
- ajout du choix des formats de date pour les deux langues
- ajout d'une règle css individuelle à chaque jour du calendrier
- correction de l'enregistrement des plugins
- ajout d'une fonction d'initialisation des galeries photos
- correction de la comparaison de version pour la mise à jour
- amélioration de Config look
- modification des droits d'accès à l'admin
- correction d'une faille critique
 

ATTENTION :

Deux patchs sont nécessaires pour rester dans la limite des 2Mo imposés par certains hébergeurs :

En premier avec la fonction Installer, vous mettez à jour CKEditor avec le patch-CKEditor-v472, disponible dans la rubrique Télécharger puis GuppY.

Pour passer de la version 5.02.00-1 à la version 5.02.01, c'est le patch gy-non-cumulative-50201 que vous devez utiliser, en suivant cette procédure :
    • télécharger le patch et installer en admin avec la fonction Installer de GuppY,
    • valider les pages de configuration habituelles

Après l'installation vous devez aller en admin/config look et procéder dans cet ordre :

    1. compléter la configuration des champs nouveaux dans Config look,
    2. enregistrer la config pour enregistrer vos modifications,
    3. cliquer sur "Générer Style" pour mettre à jour votre skin compatible Config look,  ensuite plusieurs rafraîchissements de l'affichage d'une page peuvent être nécessaires pour avoir un affichage correct.

Comme pour tous les patchs, il est conseillé de revalider toutes les pages de config en admin.


 

Modifications des archives :

Si vous avez téléchargé le pack complet GuppY 5.02.01, le patch cumulatif et le patch non-cumulatif avant le 30 Août 2017 à 14h00, vous devez télécharger à nouveau les zips.
Nous avons apporté des modifications à plusieurs fichiers de la version 5.02.01.

Dans tous les cas, vous devez installer le patch non-cumulatif gy-non-cumulative-50201 du 30.08.2017 pour mettre à jour vers la dernière version.

Merci pour vos signalements, merci pour votre compréhension.
 

 
Merci à Saxbar et à tous les participants à ce patch.
La GuppY Team


 


Correctif spécial GuppY 5.02.00-1 - le 22/05/2017 @ 13:50 par Guppy_Team

logo.png
Correctif spécial GuppY 5.02.00-1.
 
 
Nous vous proposons, avec ce correctif spécial 5.02.00-1, la correction de problèmes récurrents  à la version 5.02.00 et quelques nouveautés :

 

Pré-requis : PHP 5.4 minimum

- choix des skins CKEditor public
- paramétrage des couleurs et taille des caractères de CKEditor public
- correction de la fonction getNewUpdateDoc()
- ajout de l'autorisation des réactions par article
- correction du contrôle de mot de passe admin
- correction de l'inclusion de la classe phpmailer
- mise à jour de PhpMailer en version 5.2.23
- mise à jour de Mobile_detect en version 2.8.25
 

Avant d'appliquer ce correctif spécial GuppY 5.02.00-1,
votre site doit impérativement être patché en 5.02.00 en ayant suivi à la lettre les instructions de l'annonce de la sortie de GuppY 5.02.00.

 

  • Ensuite vous téléchargez le correctif spécial GuppY 5.02.00-1 et vous l'installez en admin avec la fonction Installer de GuppY,
     
  • compléter la configuration des champs dans Config look, enregistrer la config pour enregistrer vos modifications,
     
  • cliquer sur "Générer Style" pour mettre à jour votre skin compatible Config look,  ensuite plusieurs rafraîchissements de l'affichage d'une page peuvent être nécessaires pour avoir un affichage correct.
     
  • Comme pour tous les patchs, il est conseillé de revalider toutes les pages de config en admin.

 
Merci à Saxbar et à tous les participants à ce patch.
 

La GuppY Team


Vous êtes ici :   Accueil » Nouvelles
 

Préférences


Se reconnecter :
Votre nom (ou pseudo) :
Votre mot de passe
<O>


  13913615 visiteurs
  14 visiteurs en ligne

Connectés :
( personne )
Snif !!!

Newsletter

Pour avoir des nouvelles de ce site, inscrivez-vous à notre Newsletter.

Avant de soumettre ce formulaire, veuillez lire et accepter les Mentions légales.

J'accepte :
Recopier le code :
Site enregistré à la CNIL sous l'agrément 1040387.
Vous disposez d'un droit d'accès, de modification, de rectification
et de suppression des données selon la loi Informatique et Liberté (article 34) du 6 janvier 1978.

 
FreeGuppY.org est hébergé sur un serveur dédié LWS
 
gy_twitter02.png